> For the complete documentation index, see [llms.txt](https://docs.aporia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aporia.com/ml-monitoring-as-code/data-segments.md).

# Data Segments

This guide will show you how to automatically add data segments to your model from code using the Python SDK.&#x20;

For more information on data segments, see the [Tracking Data Segments](/core-concepts/tracking-data-segments.md) documentation.

## Defining Data Segments

To add new data segments:

```python
platform_segment = aporia.Segment(
    "Platform",
    field="platform",
    values=["desktop", "mobile"]
)

country_segment = aporia.Segment(
    "Country",
    field="country",
    values=["US", "IL", "DE", "FR", "GB", "DK"]
)
```

In this example, we're adding two new data segments - **platform** and **country**. To add the segments to your model, pass them to the model object:

```python
model = aporia.Model(
    "My Model",
    type=aporia.ModelType.RANKING,
    versions=[model_version],
    segments=[platform_segment, country_segments]
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aporia.com/ml-monitoring-as-code/data-segments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
